Skip to main content
GET
List a space media page

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

type
enum<string>
required

Type.

Available options:
image,
pdf,
document,
spreadsheet,
video,
audio,
archive,
other
id
integer
required

Record ID within the organization and any parent resource in this route.

Query Parameters

Search.

Maximum string length: 255
clearance[]
enum<string>[]

Clearance[].

Available options:
not_reviewed,
internal_only,
donor_safe,
public_safe
source
enum<string>

Source.

Available options:
records,
library,
drive
sort
enum<string>
default:modified

Sort.

Available options:
name,
modified,
size,
type
direction
enum<string>
default:desc

Direction.

Available options:
asc,
desc
page
integer

Page.

Required range: x >= 1
limit
integer
default:48

Limit.

Required range: 1 <= x <= 100
files[]
string[]

Restrict to these file references, intersected with files belonging to this space.

Maximum array length: 50
Pattern: ^(upload:[1-9][0-9]*|document:[0-9a-zA-Z-]{1,64})$

Response

List a space media page response.

data
object[]
meta
object